# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-B-Keywords
Version:	1.13
Release:	2.%{__distinit}%{__distvers}
Summary:	Lists of reserved barewords and symbol names
Group:		Development/Libraries
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/B-Keywords/
Source0:	http://search.cpan.org/CPAN/authors/id/R/RU/RURBAN/B-Keywords-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	perl(Exporter)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(lib)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(Test)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::Pod) >= 1.0
BuildRequires:	perl(YAML)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Lists of reserved barewords and symbol names.

%prep
%setup -q -n B-Keywords-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
%{_fixperms} %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes LICENSE
%{perl_vendorlib}/B/
%{_mandir}/man3/B::Keywords.3pm*

%changelog
* Tue Jul 16 2013 Paul Howarth <paul@city-fan.org> 1.13-2
- Perl 5.18 rebuild

* Sat Apr  6 2013 Paul Howarth <paul@city-fan.org> 1.13-1
- Update to 1.13
  - Removed diag before each big t/11keywords.t loop
  - Added lots of suggested keywords from CPAN RT#62382
  - Moved exp from @Barewords to @Functions
  - Added $^CHILD_ERROR_NATIVE $^GLOBAL_PHASE $^LAST_FH $^MATCH $^PREMATCH
    $^POSTMATCH $^UTF8CACHE $^WIN32_SLOPPY_STAT to @Scalars
  - Added English names for %%!, @F (perlrun) and @ARG for @_
  - Added %%+ %%- and $LAST_SUBMATCH_RESULT
- BR: perl(Test::Pod)

* Thu Jun 14 2012 Paul Howarth <paul@city-fan.org> 1.12-2
- BR: perl(Exporter), perl(lib), perl(File::Spec) and perl(Test)
- Don't need to remove empty directories from the buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT

* Fri Feb 10 2012 Paul Howarth <paul@city-fan.org> 1.12-1
- Update to 1.12
  - Add new keyword fc (Unicode casefolding) for 5.16
  - Added diag before each big t/11keywords.t loop
- This release by RURBAN -> update source URL

* Wed Jan 11 2012 Paul Howarth <paul@city-fan.org> 1.11-1
- Update to 1.11
  - Add new keywords for 5.16: __SUB__ and evalbytes

* Mon Oct 17 2011 Paul Howarth <paul@city-fan.org> 1.10-3
- Fix dist tag for CentOS 6 and Scientific Linux

* Tue Jun 21 2011 Paul Howarth <paul@city-fan.org> 1.10-2
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands

* Sun Sep  5 2010 Paul Howarth <paul@city-fan.org> 1.10-1
- Update to 1.10 (fix typo in SYNOPSIS)
- This release by FLORA -> update source URL

* Wed Jun 23 2010 Paul Howarth <paul@city-fan.org> 1.09-6
- Rebuild for perl 5.12.1 in Rawhide

* Tue Jun  8 2010 Paul Howarth <paul@city-fan.org> 1.09-5
- Fix dist tag for RHEL-6 Beta

* Tue Nov 24 2009 Paul Howarth <paul@city-fan.org> 1.09-4
- Import from Fedora

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> 1.09-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Mar 28 2009 Chris Weyl <cweyl@alumni.drew.edu> 1.09-2
- BR Test -> Test::More

* Sat Mar 28 2009 Chris Weyl <cweyl@alumni.drew.edu> 1.09-1
- Update to 1.09

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.08-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat May 31 2008 Chris Weyl <cweyl@alumni.drew.edu> 1.08-2
- Update buildrequires

* Sat Mar 15 2008 Chris Weyl <cweyl@alumni.drew.edu> 1.08-1
- Update to 1.08

* Thu Feb 28 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.06-4
- Rebuild normally, second pass

* Wed Feb 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.06-3
- Rebuild for perl 5.10 (again), disable tests for first pass

* Mon Jan 14 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.06-2
- Rebuild normally, second pass

* Fri Jan 11 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.06-1.1
- Rebuild for new perl
- Disable Test-Pod-Coverage, tests for first pass

* Thu Feb 15 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.06-1
- Update to 1.06

* Sat Jan 20 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.05-1
- First build
